package com.yuandian.dataflow.projo;

 

import java.io.Serializable;
import java.lang.annotation.Documented;
import java.time.LocalDateTime;

import org.bson.Document;
import org.bson.codecs.pojo.annotations.BsonCreator;
import org.bson.codecs.pojo.annotations.BsonDiscriminator;
import org.bson.codecs.pojo.annotations.BsonProperty;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.util.JSONPObject;

import lombok.Getter;
import lombok.Setter;



@BsonDiscriminator
@Getter
@Setter
public final class Doc extends Document  {

    @JsonProperty("code")
    @BsonProperty("code")
    public int Code ;

    @JsonProperty("ts")
    @BsonProperty("ts")
    public LocalDateTime TS;

    @JsonProperty("desc")
    @BsonProperty("desc")
    public String Desc;

    @JsonProperty("data")
    @BsonProperty("data")
    public Document Data;



   
}
